QGIS Application - Bug report #173
Polygon clipping/fill issues
2006-07-05 11:26 PM - Gary Sherman

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Map Canvas

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupts data: Copied to github as #: 10232
Description

There is a problem with polygon fills reminiscent of the issues we had on OS X at 0.7.4. This occurs when rendering a polygon with a large
number of vertices.

| suspect that this is related to the changes in 0.8 from a custom canvas to the Qt canvas, although | have not researched it to be certain.

This is a major issue.

History

#1 - 2006-07-06 01:54 AM - Gavin Macaulay -

- Resolution set to duplicate

- Status changed from Open to Closed

This ticket is a duplicate of #83.

Itis a bug in Qt4, the progress of which can be followed at http://www.trolltech.com/developer/task-tracker/index_html?method=entry&#38;id=118762

A workaround exists - see ticket #83.

#2 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted

Files
goodpolys.gif 29.2 KB 2006-07-05 Gary Sherman
badpolys.gif 28.6 KB 2006-07-05 Gary Sherman
